Summary: GNU Binary Utility Development Utilities
Name: binutils
Version: 2.13.2
Release: 3tr
License: GPL
Group: Programming/Compilers
Source:  ftp://ftp.gnu.org/gnu/binutils/binutils-%{version}.tar.bz2
Buildroot: /var/tmp/%{name}-root

%description
Binutils is a collection of utilities necessary for compiling programs. It
includes the assembler and linker, as well as a number of other
miscellaneous programs for dealing with executable formats.

%prep
%setup -q

%build
NumCPUs=`grep -i BogoMIPS /proc/cpuinfo | wc -l | xargs expr`
echo "MAKE=make -j $NumCPUs" > makefile
echo "include Makefile" >> makefile

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
	--enable-shared \
	--mandir=%{_mandir} i586-trustix-linux
make tooldir=/usr all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_prefix}
make prefix=$RPM_BUILD_ROOT/%{_prefix} \
	tooldir=$RPM_BUILD_ROOT/%{_prefix} \
	mandir=$RPM_BUILD_ROOT/%{_mandir} install


./binutils/strip-new $RPM_BUILD_ROOT/usr/bin/*

install -m 644 include/libiberty.h $RPM_BUILD_ROOT/usr/include
chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so*

rm -rf $RPM_BUILD_ROOT/usr/info

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
/usr/bin/*
/usr/share/man/man1/*
/usr/include/*
/usr/lib/*

%changelog
* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.13.2-3tr
- Big rebuild

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.13.2-2em
- Rebuilt against glibc 2.3.2.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.13.2-1em
- New upstream version.

* Wed Jul  3 2002 Christian H. Toldnes <christht at trustix dot com> 2.12.1-1ct
- upgrade to 2.12.1
- Spec-file cleanup.

* Mon Mar 12 2001 Alexander Reelsen <ar at trustix dot com>
- Updated to 2.11.90.0.1

* Wed Jul 26 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to 2.10.0.18

* Mon May 08 2000 Oystein Viggen <oysteivi at trustix dot com>
- updated to 2.9.5.0.41

* Sun Jan 23 2000 Erlend Midttun <erlendbm at trustix dot com>
- Changed path of info and man to comply with FHS std.

* Thu Dec  2 1999 <hjl@gnu.org>
- updated to 2.9.5.0.22.

* Mon Nov 22 1999 <hjl@gnu.org>
- updated to 2.9.5.0.21.

* Thu Nov  4 1999 <hjl@gnu.org>
- updated to 2.9.5.0.19.

* Tue Oct 12 1999 <hjl@gnu.org>
- updated to 2.9.5.0.16.

* Mon Sep 27 1999 <hjl@gnu.org>
- updated to 2.9.5.0.14.

* Wed Sep 22 1999 <hjl@gnu.org>
- updated to 2.9.5.0.13.

* Fri Sep 10 1999 <hjl@gnu.org>
- updated to 2.9.5.0.12.

* Mon Sep  6 1999 <hjl@gnu.org>
- updated to 2.9.5.0.11.

* Tue Aug 31 1999 <hjl@gnu.org>
- updated to 2.9.5.0.10.

* Fri Aug 27 1999 <hjl@gnu.org>
- updated to 2.9.5.0.9.

* Sat Aug 21 1999 <hjl@gnu.org>
- updated to 2.9.5.0.8.

* Fri Aug 13 1999 <hjl@gnu.org>
- updated to 2.9.5.0.7.

* Mon Aug  9 1999 <hjl@gnu.org>
- updated to 2.9.5.0.6.

* Fri Aug  6 1999 <hjl@gnu.org>
- updated to 2.9.5.0.5.

* Mon Aug  2 1999 <hjl@gnu.org>
- updated to 2.9.5.0.4.

* Mon Jul 19 1999 <hjl@gnu.org>
- updated to 2.9.5.0.3.

* Sat Jul 10 1999 <hjl@gnu.org>
- updated to 2.9.4.0.8.

* Sat Jun 26 1999 <hjl@gnu.org>
- updated to 2.9.4.0.7.

* Sun Jun 20 1999 <hjl@gnu.org>
- updated to 2.9.4.0.6.

* Sat Jun 12 1999 <hjl@gnu.org>
- updated to 2.9.4.0.5.

* Fri Jun 11 1999 <hjl@gnu.org>
- updated to 2.9.4.0.4.

* Mon Jun  7 1999 <hjl@gnu.org>
- updated to 2.9.4.0.3.

* Sun Jun  6 1999 <hjl@gnu.org>
- updated to 2.9.4.0.2.

* Sat Jun  5 1999 <hjl@gnu.org>
- updated to 2.9.4.0.1.

* Sat May 22 1999 <hjl@gnu.org>
- updated to 2.9.1.0.25.

* Wed Apr 21 1999 <hjl@gnu.org>
- updated to 2.9.1.0.24.

* Wed Mar 31 1999 hjl <hjl@gnu.org>
- updated to 2.9.1.0.23.

* Wed Feb 26 1999 hjl <hjl@gnu.org>
- updated to 2.9.1.0.22b.
